## xmlsec1 1.3.7

=== examples/Makefile ===
#
#
#
PROGRAMS_SIGN   = sign1 sign2 sign3
PROGRAMS_VERIFY = verify1 verify2 verify3 verify4
PROGRAMS_ENC    = encrypt1 encrypt2 encrypt3
PROGRAMS_DEC    = decrypt1 decrypt2 decrypt3
PROGRAMS = \
	$(PROGRAMS_SIGN) \
	$(PROGRAMS_VERIFY) \
	$(PROGRAMS_ENC) \
	$(PROGRAMS_DEC) \
	xmldsigverify

CC	= gcc
CFLAGS	+= -g $(shell xmlsec1-config --cflags) -DUNIX_SOCKETS -Wall -Wextra
LDLIBS	+= -g $(shell xmlsec1-config --libs)

all: $(PROGRAMS)

clean:
	rm -rf $(PROGRAMS)

check: check-sign check-verify check-enc check-dec

check-sign: $(PROGRAMS_SIGN)
	./sign1    sign1-tmpl.xml    rsakey.pem
	./sign2    sign2-doc.xml     rsakey.pem
	./sign3    sign3-doc.xml     rsakey.pem rsacert.pem

check-verify: $(PROGRAMS_VERIFY)
	./verify1  sign1-res.xml     rsapub.pem
	./verify1  sign2-res.xml     rsapub.pem
	./verify2  sign1-res.xml     rsakey.pem
	./verify2  sign2-res.xml     rsakey.pem
	./verify3  sign3-res.xml     ca2cert.pem cacert.pem
	./verify4  verify4-res.xml   ca2cert.pem cacert.pem

check-enc: $(PROGRAMS_ENC)
	./encrypt1 encrypt1-tmpl.xml deskey.bin
	./encrypt2 encrypt2-doc.xml  deskey.bin
	./encrypt3 encrypt3-doc.xml  rsakey.pem

check-dec: $(PROGRAMS_DEC)
	./decrypt1 encrypt1-res.xml  deskey.bin
	./decrypt1 encrypt2-res.xml  deskey.bin
	./decrypt2 encrypt1-res.xml  deskey.bin
	./decrypt2 encrypt2-res.xml  deskey.bin
	./decrypt3 encrypt1-res.xml
	./decrypt3 encrypt2-res.xml
	./decrypt3 encrypt3-res.xml

## xmlsec1 1.2.18

=== debian/changelog ===
xmlsec1 (1.2.18-2ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.
    - Remove obsolete automake directive that caused FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 19 Jan 2014 23:00:02 -0500

xmlsec1 (1.2.18-2) unstable; urgency=low

  * Add upstream patch which fixes version check utility function (Bug #675513)

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 26 Jul 2012 21:15:41 -0400

xmlsec1 (1.2.18-1) unstable; urgency=low

  * New upstream release (including CVE-2011-1425, Closes: #604828)
  * Incorporate NMU for la file removal and hardened build flags
  * Fix example linker flags (Closes: #647453)
  * Add build-arch and build-indep targets to rules
  * Add misc-depends entry to binaries
  * Confirm Debian standards 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 22 Apr 2012 10:32:43 -0400

xmlsec1 (1.2.14-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Bug #656655)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Apr 2012 21:31:59 +0200

xmlsec1 (1.2.14-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs in libtool la file. Closes: #610239
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Apr 2011 08:53:37 +0200

xmlsec1 (1.2.14-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply patch from upstream addressing arbitrary file overwrite
    (CVE-2011-1425, closes: #620560).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 09 Apr 2011 17:40:24 +0200

xmlsec1 (1.2.14-1) unstable; urgency=low

  * New upstream release, fixes CVE-2009-3736 (Closes: #559831)
  * debian/rules: dh_prep instead of dh_clean

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 08 Dec 2009 21:47:36 -0500

xmlsec1 (1.2.12-1) unstable; urgency=low

  * New upstream release, fixes CVE-2009-0217 (Closes: #532751, #529918)
  * Update debian/watch
  * Upgrade to latest debhelper version
  * In debian/control:
    * add Homepage
    * remove use of ${Source-Version}
  * In debian/rules:
    * fix distclean call
    * $(CURDIR) instead of $(PWD)
    * remove xulrunner hack since upstream now supports it in configure
    * strip RPATH's caused by bug in upstream's libtool version
  * Confirm Debian standards 3.8.3

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 05 Sep 2009 18:21:58 -0400

xmlsec1 (1.2.9-5) unstable; urgency=low

  * Remove shlibs.local (Closes: #379445)
  * Add minimum versions to Build-Depends and -dev Depends

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 30 Jul 2006 22:27:01 -0400

xmlsec1 (1.2.9-4) unstable; urgency=low

  * Fix gnutls dependency in shlibs.local (Closes: #379390)

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 23 Jul 2006 10:46:53 -0400

xmlsec1 (1.2.9-3) unstable; urgency=low

  * Adjust gnutls dependency (Closes: #335771)
  * Adjust libxml2 min version

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 26 Jun 2006 20:48:41 -0400

xmlsec1 (1.2.9-2) unstable; urgency=low

  * Add engine libraries to depends of dev package
  * Switch to mozilla libs provided by xulrunner package (Closes: #364382)
  * Confirm Debian standards 3.7.2

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 08 Jun 2006 21:52:55 -0400

xmlsec1 (1.2.9-1) unstable; urgency=low

  * New upstream release (Closes: #319807)
  * Upgrade to Debian standards 3.6.2

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 17 Sep 2005 09:36:11 -0400

xmlsec1 (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 26 Aug 2004 15:07:52 -0400

xmlsec1 (1.2.4-3) unstable; urgency=low

  * Adjust gnutls dependency (Closes: #263626)
  * Add debian/watch

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 5 Aug 2004 12:09:42 -0400

xmlsec1 (1.2.4-2) unstable; urgency=low

  * Change maintainer address
  * Adjust libxslt dependency (Closes: #261831)

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 2 Aug 2004 10:05:04 -0400

xmlsec1 (1.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #228531)
  * Add binary for nss crypto engine
  * Upgrade gnutls dependency to gnutls10

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 27 Jan 2004 12:49:49 -0500

xmlsec1 (1.1.1-2) unstable; urgency=low

  * Upgrade to Debian standards 3.6.1
  * In debian/rules:
    * remove unused "nostrip" logic
    * replace use of $CURDIR with `pwd`
    * remove unused debhelper calls
    * convert from dh_movefiles to dh_install
    * omit makefiles and SGML files from HTML docs

 -- John V. Belmonte <jvb@prairienet.org>  Mon, 13 Oct 2003 15:43:41 -0400

xmlsec1 (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Add soname number to build/-dev depends for libgnutls
  * Add version to build/-dev depends for libssl since no
    libssl<soname_number>-dev is available
  * In README.Debian, clarify restriction on use of openssl crypto engine
    by GPL'd official Debian packages
  * In README.Debian, more about the yet unpackaged nss crypto engine

 -- John V. Belmonte <jvb@prairienet.org>  Sun, 24 Aug 2003 06:39:56 -0400

xmlsec1 (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Add pkg-config files (Closes: #203376)
  * Downplay xmlsec1-config in README.Debian, package descriptions
  * Remove some upstream workarounds from debian/rules

 -- John V. Belmonte <jvb@prairienet.org>  Mon, 11 Aug 2003 10:05:06 -0400

xmlsec1 (1.0.4-2) unstable; urgency=low

  * No change, except this time my sponsor won't accidentally mutilate the
    package before uploading :-)

 -- John V. Belmonte <jvb@prairienet.org>  Fri, 18 Jul 2003 01:11:45 -0400

xmlsec1 (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Update README.Debian regarding nss engine support
  * Fix typo in libxmlsec1 description
  * Remove some upstream workarounds from debian/rules

 -- John V. Belmonte <jvb@prairienet.org>  Tue, 15 Jul 2003 21:23:11 -0400



=== debian/control ===
Source: xmlsec1
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John V. Belmonte <jbelmonte@debian.org>
Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev (>= 1.0.0), libnss3-dev, libgcrypt11-dev
Standards-Version: 3.9.3
Homepage: http://www.aleksey.com/xmlsec/

Package: libxmlsec1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev (>= 1.0.0), libnss3-dev, libgcrypt11-dev
Description: Development files for the XML security library
 The XML Security Library is a C library that implements these XML standards:
 .
    * XML Signature
    * XML Encryption
 .
 This package provides development files including documentation, examples,
 headers, static libraries, and configuration support.

Package: libxmlsec1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides all XML security library functionality
 except for the cryptography engine.

Package: libxmlsec1-openssl
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Openssl engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the openssl implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-gnutls
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gnutls engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gnutls implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-nss
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nss engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the nss implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-gcrypt
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gcrypt engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gcrypt implementation of the XML security
 library cryptography functions.

Package: xmlsec1
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XML security command line processor
 Xmlsec is a command line tool for signature and encryption transformations
 of XML data.  It is part of the XML Security Library.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	dh_autoreconf
	# Add here commands to configure the package.
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		$(shell dpkg-buildflags --export=configure) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-html-dir=\$${prefix}/share/doc/xmlsec1/html \
		--disable-crypto-dl \
		--disable-apps-crypto-dl


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autoreconf_clean
	dh_clean COPYING config.log config.cache config.status

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	# strip unwanted RPATH caused by bug in old libtool
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so \
		$(CURDIR)/debian/tmp/usr/bin/xmlsec1
	find debian/tmp/usr/lib -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install -X.cvsignore --sourcedir=debian/tmp
	dh_installexamples -X.cvsignore examples/*
	dh_installdocs -X.sgml --all README debian/README.Debian debian/TODO.Debian
	dh_installman
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress -Xexamples/
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -l $(CURDIR)/debian/libxmlsec1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://www.aleksey.com/xmlsec/download/xmlsec1-([\d\.]+)\.tar\.gz \
    debian uupdate

## xmlsec1 1.2.20

=== debian/changelog ===
xmlsec1 (1.2.20-2ubuntu4) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:41:57 +0000

xmlsec1 (1.2.20-2ubuntu3) wily; urgency=medium

  * debian/control:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Aug 2015 11:46:20 +1200

xmlsec1 (1.2.20-2ubuntu2) vivid; urgency=medium

  * Ensure any unit test failures are correctly detected to
    support Ubuntu MIR (LP: #1438103):
    - d/rules: Parse unit test log data and fail package build if
      any test failures are detected.
    - d/p/skip-failing-tests.patch: Skip tests that fail due to the
      fact that xmlsec1 apps are build with openssl support only.
    - d/p/skip-online-tests.patch,d/rules: Add a flag to skip any
      tests that require access to online requires, set this flag
      in the package build environment. 

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:00:09 +0100

xmlsec1 (1.2.20-2ubuntu1) vivid; urgency=medium

  * d/rules: Enable test suite execution during package build. 

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jan 2015 15:11:49 +0000

xmlsec1 (1.2.20-2) unstable; urgency=low

  * Add upstream patches to fix examples.

 -- John V. Belmonte <jbelmonte@debian.org>  Mon, 07 Jul 2014 21:09:35 -0700

xmlsec1 (1.2.20-1) unstable; urgency=low

  * New upstream release
  * Upgrade libgnutls and libgcrypt dependencies (Closes: #753151)
  * Use dh-autoreconf
  * Debian standards 3.9.5

 -- John V. Belmonte <jbelmonte@debian.org>  Fri, 04 Jul 2014 14:15:39 -0700

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: John V. Belmonte <jbelmonte@debian.org>
-Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev (>= 1.0.0), libnss3-dev, libgcrypt11-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev, libnss3-dev, libgcrypt20-dev
+Standards-Version: 3.9.5
 Homepage: http://www.aleksey.com/xmlsec/
 
 Package: libxmlsec1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev (>= 1.0.0), libnss3-dev, libgcrypt11-dev
+Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev, libnss3-dev, libgcrypt20-dev
 Description: Development files for the XML security library
  The XML Security Library is a C library that implements these XML standards:
  .

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export OFFLINE=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -43,6 +45,12 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	$(MAKE) check | tee /tmp/tests.log
+	grep -q Fail /tmp/tests.log && (echo "Failures executing unit tests, exiting build"; exit 1) \
+		|| echo "Unit tests completed successfully"
+endif
 
 	touch build-stamp

## xmlsec1 1.2.23

=== debian/changelog ===
xmlsec1 (1.2.23-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, builds against OpenSSL 1.1.0 (Closes: #828606).
  * Drop patches (examples_encrypt3.patch + examples_rootcert.patch) both
    applied upstream.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Dec 2016 21:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John V. Belmonte <jbelmonte@debian.org>
-Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev, libnss3-dev, libgcrypt20-dev
+Maintainer: John V. Belmonte <jbelmonte@debian.org>
+Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
 Standards-Version: 3.9.5
 Homepage: http://www.aleksey.com/xmlsec/
 
 Package: libxmlsec1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls-dev, libnss3-dev, libgcrypt20-dev
+Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
 Description: Development files for the XML security library
  The XML Security Library is a C library that implements these XML standards:
  .

## xmlsec1 1.2.24

=== debian/changelog ===
xmlsec1 (1.2.24-4) unstable; urgency=medium

  * apply patch from Helmut Grohne to
    Configure with multiarch --libdir (closes: #869544)
  * add Multi-Arch: same to the library packages

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2017 22:34:08 +0000

xmlsec1 (1.2.24-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jul 2017 10:09:31 +0200

xmlsec1 (1.2.24-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Enable test suite execution during package build (closes: #774631)

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Jun 2017 21:15:16 +0200

xmlsec1 (1.2.24-1) unstable; urgency=medium

  * New upstream release (closes: #865539)
  * move Maintainer: to Debian XML/SGML Group; keep John in Uploaders:
    and add me

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Jun 2017 18:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: John V. Belmonte <jbelmonte@debian.org>
-Build-Depends: debhelper (>> 7.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Uploaders: John V. Belmonte <jbelmonte@debian.org>, Rene Engelhard <rene@debian.org>
+Build-Depends: debhelper (>> 9.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
 Standards-Version: 3.9.5
 Homepage: http://www.aleksey.com/xmlsec/
 
@@ -23,6 +24,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -35,6 +37,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Openssl engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -47,6 +50,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Gnutls engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -59,6 +63,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Nss engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -71,6 +76,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Gcrypt engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 
 export OFFLINE=1
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 # shared library versions, option 1
 #version=2.0.5
@@ -25,11 +22,12 @@
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to configure the package.
-	./configure \
+	./configure --disable-silent-rules \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		$(shell dpkg-buildflags --export=configure) \
 		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--with-html-dir=\$${prefix}/share/doc/xmlsec1/html \
@@ -74,7 +72,7 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 	# strip unwanted RPATH caused by bug in old libtool
-	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so \
+	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so \
 		$(CURDIR)/debian/tmp/usr/bin/xmlsec1
 	find debian/tmp/usr/lib -name "*.la" -exec \
 		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
@@ -98,7 +96,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -l $(CURDIR)/debian/libxmlsec1/usr/lib
+	dh_shlibdeps -l $(CURDIR)/debian/libxmlsec1/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## xmlsec1 1.2.25

=== debian/changelog ===
xmlsec1 (1.2.25-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:29:36 +0000

xmlsec1 (1.2.25-1) unstable; urgency=medium

  * New upstream version 1.2.25
  * update libxml2-dev and libssl-dev (build-)deps according to
    configure.ac/*.pc
  * explicitly --enable-soap (now disabled per default)

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Sep 2017 18:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: John V. Belmonte <jbelmonte@debian.org>, Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>> 9.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
+Build-Depends: debhelper (>> 9.0.0), dh-autoreconf, chrpath, pkg-config, libxml2-dev (>= 2.8.0), libxslt1-dev (>= 1.0.20), libssl-dev (>= 1.0.0), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
 Standards-Version: 3.9.5
 Homepage: http://www.aleksey.com/xmlsec/
 
 Package: libxmlsec1-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.6.12), libxslt1-dev (>= 1.0.20), libssl-dev (>= 0.9.8), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
+Depends: ${misc:Depends}, libxmlsec1 (= ${binary:Version}), libxmlsec1-openssl (= ${binary:Version}), libxmlsec1-gnutls (= ${binary:Version}), libxmlsec1-nss (= ${binary:Version}), libxmlsec1-gcrypt (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.8.0), libxslt1-dev (>= 1.0.20), libssl-dev (>= 1.0.0), libgnutls28-dev, libnss3-dev, libgcrypt20-dev
 Description: Development files for the XML security library
  The XML Security Library is a C library that implements these XML standards:
  .

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 		--infodir=\$${prefix}/share/info \
 		--with-html-dir=\$${prefix}/share/doc/xmlsec1/html \
 		--disable-crypto-dl \
-		--disable-apps-crypto-dl
+		--disable-apps-crypto-dl \
+		--enable-soap
 
 
 build: build-arch build-indep

## xmlsec1 1.2.26

=== debian/changelog ===
xmlsec1 (1.2.26-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jun 2018 17:41:20 +0000

xmlsec1 (1.2.26-2) experimental; urgency=medium

  * fix libxmlsec1-doc

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2018 14:03:06 +0200

xmlsec1 (1.2.26-1) experimental; urgency=medium

  * New upstream version 1.2.26

  * add Breaks: libreoffice-core (<< 1:6.0.5~rc2~)
  * add new Build-Depends(-Indep) for the docs
  * build a new libxmlsec1-doc package

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2018 08:35:05 +0200

xmlsec1 (1.2.25-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Add Vcs-* fields.
    + Run wrap-and-sort.
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Drop duplicated Section field.
    + Use HTTPS in the Homepage field.
  * d/watch: Use HTTPS.
  * d/rules: Rewrite using the dh sequencer.
  * d/README.Debian: Fix spelling errors.
  * Add lintian overrides for package-name-doesnt-match-sonames, as upstream
    promised to change package name whenever breaking ABI.
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 15:53:54 +0200

=== debian/control ===
Source: xmlsec1
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders:
 John V. Belmonte <jbelmonte@debian.org>,
 Rene Engelhard <rene@debian.org>,
Build-Depends:
 chrpath,
 debhelper (>= 11),
 help2man,
 libgcrypt20-dev,
 libgnutls28-dev,
 libnss3-dev,
 libssl-dev (>= 1.0.0),
 libxml2-dev (>= 2.8.0),
 libxslt1-dev (>= 1.0.20),
 pkg-config,
Build-Depends-Indep:
 gtk-doc-tools,
 man2html-base,
 xsltproc,
Standards-Version: 4.1.4
Homepage: https://www.aleksey.com/xmlsec/
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/xmlsec1
Vcs-Git: https://salsa.debian.org/xml-sgml-team/xmlsec1.git

Package: libxmlsec1-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libnss3-dev,
 libssl-dev (>= 1.0.0),
 libxml2-dev (>= 2.8.0),
 libxmlsec1 (= ${binary:Version}),
 libxmlsec1-gcrypt (= ${binary:Version}),
 libxmlsec1-gnutls (= ${binary:Version}),
 libxmlsec1-nss (= ${binary:Version}),
 libxmlsec1-openssl (= ${binary:Version}),
 libxslt1-dev (>= 1.0.20),
 ${misc:Depends},
Description: Development files for the XML security library
 The XML Security Library is a C library that implements these XML standards:
 .
    * XML Signature
    * XML Encryption
 .
 This package provides development files including documentation, examples,
 headers, static libraries, and configuration support.

Package: libxmlsec1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Breaks: libreoffice-core (<< 1:6.0.5~rc2~)
Description: XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides all XML security library functionality
 except for the cryptography engine.

Package: libxmlsec1-openssl
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Openssl engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the openssl implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-gnutls
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Gnutls engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gnutls implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-nss
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Nss engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the nss implementation of the XML security
 library cryptography functions.

Package: libxmlsec1-gcrypt
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Gcrypt engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gcrypt implementation of the XML security
 library cryptography functions.

Package: xmlsec1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XML security command line processor
 Xmlsec is a command line tool for signature and encryption transformations
 of XML data.  It is part of the XML Security Library.

Package: libxmlsec1-doc
Architecture: all
Replaces: libxmlsec1-dev (<< 1.2.26-2)
Breaks: libxmlsec1-dev (<< 1.2.26-2)
Description: XML security library -- documentation
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package contains the documentation for xmlsec1. E.g. the API docs.

## xmlsec1 1.2.27

=== debian/changelog ===
xmlsec1 (1.2.27-2~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 09 Sep 2023 21:28:15 +0000

xmlsec1 (1.2.27-2) unstable; urgency=medium

  * upload to unstable

  * add Depends: ${misc:Depends} to libxmlsec1-doc, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Nov 2018 11:01:38 +0000

xmlsec1 (1.2.27-1) experimental; urgency=medium

  * New upstream version 1.2.27

  * debian/patches/skip-online-tests.diff: remove ..
  * no-url-map-using-tests.diff: ... in favour of this. Remove tests
    which need url map stuff because they a) need to be online and b)
    require non-free files

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Oct 2018 21:14:15 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
  chrpath,
- debhelper (>= 11),
+ debhelper (>= 10),
  help2man,
  libgcrypt20-dev,
  libgnutls28-dev,
@@ -138,6 +138,7 @@
 
 Package: libxmlsec1-doc
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: libxmlsec1-dev (<< 1.2.26-2)
 Breaks: libxmlsec1-dev (<< 1.2.26-2)
 Description: XML security library -- documentation

## xmlsec1 1.2.28

=== debian/changelog ===
xmlsec1 (1.2.28-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Feb 2020 10:07:11 -0800

xmlsec1 (1.2.28-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jun 2019 10:22:36 +0200

xmlsec1 (1.2.28-1) experimental; urgency=medium

  * New upstream version 1.2.28

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Jun 2019 15:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders:
  John V. Belmonte <jbelmonte@debian.org>,
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
  chrpath,
- debhelper (>= 10),
+ debhelper (>= 11),
  help2man,
  libgcrypt20-dev,
  libgnutls28-dev,

=== debian/rules ===
#!/usr/bin/make -f

export OFFLINE=1

%:
	dh $@

override_dh_clean:
	dh_clean config.log config.cache config.status
	if [ -d docs.bak ]; then rm -rf docs; mv docs.bak docs; fi

override_dh_auto_configure:
	if [ ! -d docs.bak ]; then cp -ra docs docs.bak; fi
	dh_auto_configure -- \
		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
		--disable-crypto-dl \
		--disable-apps-crypto-dl \
		--enable-soap

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) check | tee /tmp/tests.log
	grep -q Fail /tmp/tests.log && (echo "Failures executing unit tests, exiting build"; exit 1) \
		|| echo "Unit tests completed successfully"
endif

	touch build-stamp

override_dh_install:
	find debian/tmp/usr/lib -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
	dh_install

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_installdocs:
	dh_installdocs -X.sgml --all README debian/README.Debian

override_dh_compress:
	dh_compress -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xmlsec1 1.2.31

=== debian/changelog ===
xmlsec1 (1.2.31-1) unstable; urgency=medium

  * New upstream version 1.2.31

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Nov 2020 19:07:53 +0100

xmlsec1 (1.2.30-1) unstable; urgency=medium

  * "New" upstream version 1.2.30

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Sep 2020 11:07:29 +0200

## xmlsec1 1.2.32

=== debian/changelog ===
xmlsec1 (1.2.32-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Aug 2021 08:21:51 +0200

xmlsec1 (1.2.32-1) experimental; urgency=medium

  * New upstream version 1.2.32

 -- Rene Engelhard <rene@debian.org>  Mon, 24 May 2021 18:33:26 +0200

## xmlsec1 1.2.33

=== debian/changelog ===
xmlsec1 (1.2.33-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 11:00:47 +0100

xmlsec1 (1.2.33-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 25 Nov 2021 14:29:09 +0200

xmlsec1 (1.2.33-1) unstable; urgency=medium

  * New upstream version 1.2.33

  * remove build-dep on chrpath and use --enable-{docs,manpages}-build
    (closes: #981275)

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 22:38:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders:
  John V. Belmonte <jbelmonte@debian.org>,
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
- chrpath,
  debhelper (>= 11),
  help2man,
  libgcrypt20-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,30 @@
 %:
 	dh $@
 
-override_dh_clean:
-	dh_clean config.log config.cache config.status
+override_dh_auto_clean:
+	dh_auto_clean
 	if [ -d docs.bak ]; then rm -rf docs; mv docs.bak docs; fi
+	rm -f man/xmlsec1-config.1 man/xmlsec1.1
+	rm -f config.log config.cache config.status
 
 override_dh_auto_configure:
 	if [ ! -d docs.bak ]; then cp -ra docs docs.bak; fi
 	dh_auto_configure -- \
+		--enable-manpages-build \
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
 		--enable-soap
+
+override_dh_auto_build-indep:
+	dh_auto_configure -- \
+		--enable-manpages-build \
+		--enable-docs --enable-docs-build \
+		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
+		--disable-crypto-dl \
+		--disable-apps-crypto-dl \
+		--enable-soap
+	dh_auto_build --no-parallel
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -42,6 +55,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## xmlsec1 1.2.34

=== debian/changelog ===
xmlsec1 (1.2.34-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Jun 2022 12:14:37 +0200

xmlsec1 (1.2.34-1) experimental; urgency=medium

  * New upstream version 1.2.34

  * bump libnss3-dev build-dep to 2:3.72-2 and add build-conflicts against
    nspr << 2:4.32-3 to ensure build against nss.pc/nspr.pc (and not
    xulrunner-*)

 -- Rene Engelhard <rene@debian.org>  Wed, 18 May 2022 18:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders:
  John V. Belmonte <jbelmonte@debian.org>,
  Rene Engelhard <rene@debian.org>,
@@ -11,7 +10,7 @@
  help2man,
  libgcrypt20-dev,
  libgnutls28-dev,
- libnss3-dev,
+ libnss3-dev (>= 3.72-2),
  libssl-dev (>= 1.0.0),
  libxml2-dev (>= 2.8.0),
  libxslt1-dev (>= 1.0.20),
@@ -20,6 +19,7 @@
  gtk-doc-tools,
  man2html-base,
  xsltproc,
+Build-Conflicts: libnspr4-dev (<< 2:4.32-3)
 Standards-Version: 4.1.4
 Homepage: https://www.aleksey.com/xmlsec/
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/xmlsec1

## xmlsec1 1.2.36

=== debian/changelog ===
xmlsec1 (1.2.36-2) unstable; urgency=medium

  * add .symbols files for the libraries 

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Nov 2022 11:07:13 +0100

xmlsec1 (1.2.36-1) experimental; urgency=medium

  * New upstream version 1.2.36

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Oct 2022 18:04:55 +0200

xmlsec1 (1.2.35-1) experimental; urgency=medium

  * New upstream version 1.2.35

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Oct 2022 21:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  help2man,
  libgcrypt20-dev,
  libgnutls28-dev,
- libnss3-dev (>= 3.72-2),
+ libnss3-dev (>= 2:3.72-2),
  libssl-dev (>= 1.0.0),
  libxml2-dev (>= 2.8.0),
  libxslt1-dev (>= 1.0.20),

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
-		--enable-soap
+		--enable-soap \
+		--enable-openssl3-engines
 
 override_dh_auto_build-indep:
 	dh_auto_configure -- \
@@ -27,7 +28,8 @@
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
-		--enable-soap
+		--enable-soap \
+		--enable-md5
 	dh_auto_build --no-parallel
 
 override_dh_auto_test:
@@ -48,7 +50,7 @@
 	dh_installexamples examples/*
 
 override_dh_installdocs:
-	dh_installdocs -X.sgml --all README debian/README.Debian
+	dh_installdocs -X.sgml --all README.md debian/README.Debian
 
 override_dh_compress:
 	dh_compress -Xexamples/

## xmlsec1 1.2.37

=== debian/changelog ===
xmlsec1 (1.2.37-2) unstable; urgency=medium

  * fix build/build-indep to have the same configure flags passed. Properly
    split build-arch/build-indep

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Dec 2022 19:03:58 +0100

xmlsec1 (1.2.37-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libssl-dev, libxml2-dev and
      libxslt1-dev.
    + libxmlsec1-dev: Drop versioned constraint on libssl-dev, libxml2-dev and
      libxslt1-dev in Depends.
    + libxmlsec1: Drop versioned constraint on libreoffice-core in Breaks.
    + libxmlsec1-doc: Drop versioned constraint on libxmlsec1-dev in Replaces.
    + libxmlsec1-doc: Drop versioned constraint on libxmlsec1-dev in Breaks.

  [ Rene Engelhard ]
  * New upstream version 1.2.37

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Nov 2022 18:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  libgcrypt20-dev,
  libgnutls28-dev,
  libnss3-dev (>= 2:3.72-2),
- libssl-dev (>= 1.0.0),
- libxml2-dev (>= 2.8.0),
- libxslt1-dev (>= 1.0.20),
+ libssl-dev,
+ libxml2-dev,
+ libxslt1-dev,
  pkg-config,
 Build-Depends-Indep:
  gtk-doc-tools,
@@ -33,14 +33,14 @@
  libgcrypt20-dev,
  libgnutls28-dev,
  libnss3-dev,
- libssl-dev (>= 1.0.0),
- libxml2-dev (>= 2.8.0),
+ libssl-dev,
+ libxml2-dev,
  libxmlsec1 (= ${binary:Version}),
  libxmlsec1-gcrypt (= ${binary:Version}),
  libxmlsec1-gnutls (= ${binary:Version}),
  libxmlsec1-nss (= ${binary:Version}),
  libxmlsec1-openssl (= ${binary:Version}),
- libxslt1-dev (>= 1.0.20),
+ libxslt1-dev,
  ${misc:Depends},
 Description: Development files for the XML security library
  The XML Security Library is a C library that implements these XML standards:
@@ -58,7 +58,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Breaks: libreoffice-core (<< 1:6.0.5~rc2~)
 Description: XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -139,8 +138,6 @@
 Package: libxmlsec1-doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: libxmlsec1-dev (<< 1.2.26-2)
-Breaks: libxmlsec1-dev (<< 1.2.26-2)
 Description: XML security library -- documentation
  The XML Security Library implements standards related to secure handling
  of XML data.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	rm -f config.log config.cache config.status
 
 override_dh_auto_configure:
-	if [ ! -d docs.bak ]; then cp -ra docs docs.bak; fi
+
+override_dh_auto_build-arch:
 	dh_auto_configure -- \
 		--enable-manpages-build \
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
@@ -20,6 +21,7 @@
 		--disable-apps-crypto-dl \
 		--enable-soap \
 		--enable-openssl3-engines
+	dh_auto_build --no-parallel
 
 override_dh_auto_build-indep:
 	dh_auto_configure -- \
@@ -29,7 +31,7 @@
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
 		--enable-soap \
-		--enable-md5
+		--enable-openssl3-engines
 	dh_auto_build --no-parallel
 
 override_dh_auto_test:

## xmlsec1 1.2.38

=== debian/changelog ===
xmlsec1 (1.2.38-1) unstable; urgency=medium

  * New upstream version 1.2.38
  * rm various files in doc/ to clean (closes: #1047643)

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Dec 2023 15:36:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	if [ -d docs.bak ]; then rm -rf docs; mv docs.bak docs; fi
 	rm -f man/xmlsec1-config.1 man/xmlsec1.1
 	rm -f config.log config.cache config.status
+	rm -f docs/api/home.png docs/api/left-insensitive.png docs/api/left.png docs/api/right-insensitive.png docs/api/right.png docs/api/up-insensitive.png docs/api/up.png
+	rm -f docs/api/xmlsec-index.html docs/api/xmlsec.devhelp2
 
 override_dh_auto_configure:
